  <Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup Label="Configuration" Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <TypeScriptRemoveComments>True</TypeScriptRemoveComments>
  </PropertyGroup>

  <PropertyGroup Label="Configuration" Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <TypeScriptRemoveComments>True</TypeScriptRemoveComments>
  </PropertyGroup>

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  <ErrorOnDuplicatePublishOutputFiles>false</ErrorOnDuplicatePublishOutputFiles>
  <GenerateDocumentationFile>True</GenerateDocumentationFile>
  <UserSecretsId> 编码氯碱化工 </UserSecretsId>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <Optimize>False</Optimize>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="wwwroot\js_custom\新文件夹\**" />
    <Content Remove="wwwroot\js_custom\新文件夹\**" />
    <EmbeddedResource Remove="wwwroot\js_custom\新文件夹\**" />
    <None Remove="wwwroot\js_custom\新文件夹\**" />
  </ItemGroup>
 
  <ItemGroup>
    <None Remove="C:\Users\Administrator\.nuget\packages\utilssharp\2.5.0\contentFiles\any\any\UtilsSharp.xml" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="5.0.15" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="5.0.15" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.15" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="5.0.15" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.15" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.15">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.14.0" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="5.0.2" />
    <PackageReference Include="NLog" Version="6.0.7" />
    <PackageReference Include="NLog.Schema" Version="6.0.7" />
    <PackageReference Include="Quartz" Version="3.4.0" />
    <PackageReference Include="UtilsSharp" Version="2.5.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\COMMON\COMMON.csproj" />
    <ProjectReference Include="..\Models\Models.csproj" />
    <ProjectReference Include="..\SERVER\SERVER.csproj" />
    <ProjectReference Include="..\TcpServer\TcpServer.csproj" />
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties appsettings_1json__JsonSchema="" /></VisualStudio></ProjectExtensions>

</Project>
